summaryrefslogtreecommitdiff
path: root/app-admin
diff options
context:
space:
mode:
authorV3n3RiX <venerix@rogentos.ro>2016-09-25 13:40:33 +0100
committerV3n3RiX <venerix@rogentos.ro>2016-09-25 13:40:33 +0100
commitc6f9baea1a9187db8e11c81ff8e8fad33d961e12 (patch)
tree9f2ea351e744fa692c8e9497de46fe98e5d55c2a /app-admin
parentd1910e62e3e6594d8611c88f53b83c0df6ecb0b7 (diff)
import latest keepassx git from qt overlay
Diffstat (limited to 'app-admin')
-rw-r--r--app-admin/keepassx/keepassx-9999.ebuild46
1 files changed, 46 insertions, 0 deletions
diff --git a/app-admin/keepassx/keepassx-9999.ebuild b/app-admin/keepassx/keepassx-9999.ebuild
new file mode 100644
index 00000000..b859808f
--- /dev/null
+++ b/app-admin/keepassx/keepassx-9999.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit cmake-utils git-r3
+
+DESCRIPTION="Qt password manager compatible with its Win32 and Pocket PC versions"
+HOMEPAGE="http://keepassx.sourceforge.net/"
+EGIT_REPO_URI=(
+ "git://keepassx.org/${PN}.git"
+ "https://github.com/${PN}/${PN}"
+)
+
+LICENSE="LGPL-2.1 GPL-2 GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug test"
+
+RDEPEND="dev-libs/libgcrypt:=
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtwidgets:5
+ sys-libs/zlib
+"
+DEPEND="${RDEPEND}
+ dev-qt/linguist-tools:5
+ dev-qt/qtconcurrent:5
+ test? ( dev-qt/qttest:5 )
+"
+
+src_prepare() {
+ use test || \
+ sed -e "/^find_package(Qt5Test/d" -i CMakeLists.txt || die
+
+ cmake-utils_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_with test TESTS)
+ -DWITH_GUI_TESTS=OFF
+ )
+ cmake-utils_src_configure
+}